:root {
  --blanco: #ffffff;
  --gris1: #edf2f6;
  --gris2: #2f3848;
  --gris3: #1a202d;
  --negro: #000000;
  --headingFont: 'Raleway', sans-serif;
  --textFont: 'Roboto', sans-serif;
}

html {
  box-sizing: border-box;
  height: 100%;
}

body {
  min-height: 100%;
  background-color: var(--gris1);
  font-size: 16px;
  font-family: var(--textFont);
}

body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.titulo {
  font-family: var(--headingFont);
  font-weight: 900;
  margin: 0 0 2rem 0;
  text-align: center;
  color: var(--gris2);
}

/** BOTONES **/
.boton-usuario {
  margin-top: 1rem;
  font-family: var(--headingFont);
  padding: 1rem;
  font-size: 1.4;
  font-weight: 400;
  border-radius: .5rem;
  border: none;
  transition: background-color .3s ease;
}

.boton-usuario:hover {
  cursor: pointer;
}

.btn-primario {
  background-color: var(--gris2);
  color: var(--blanco);
}

.btn-primario:hover {
  background: var(--gris3);
}

.btn-secundario {
  background-color: var(--gris1);
}

.btn-block {
  display: block;
  width: 100%;
}

.sombra-dark {
  -webkit-box-shadow: 0px 6px 11px -8px rgba(0, 0, 0, 0.9);
  -moz-box-shadow: 0px 6px 11px -8px rgba(0, 0, 0, 0.9);
  box-shadow: 0px 6px 11px -8px rgba(0, 0, 0, 0.9);
}

.form-usuario {
  background-color: var(--gris2);
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.contenedor-form {
  padding: 3rem 2rem;
  max-width: 500px;
  width: 95%;
  background-color: var(--blanco);
  border-radius: 1rem;
}

.campo-form {
  display: flex;
  margin-bottom: 1rem;
  align-items: center;
}

.campo-form:last-of-type {
  margin: 0;
}

.campo-form label {
  flex: 0 0 100px;
  font-family: var(--textFont);
}

.campo-form input[type="password"],
.campo-form input[type="email"],
.campo-form input[type="text"],
.campo-form input[type="tel"],
.campo-form input[type="number"],
.campo-form select {
  border: 1px solid #e1e1e1;
  padding: 1rem;
  width: 100%;
  flex: 1;
}

.enlace-cuenta {
  margin-top: 1rem;
  display: block;
  opacity: .7;
  text-decoration: none;
  color: var(--gris2);
}

.alerta {
  position: fixed;
  top: 0;
  left: 0;
  padding: 1rem 2rem;
  border-radius: 1rem;
  font-family: var(--headingFont);
  font-weight: 600;
  text-transform: uppercase;
  font-size: 1.5rem;
  text-align: center;
  width: 100%;
}

@media (min-width:768px) {
  .alerta {
    width: auto;
    top: 30px;
    right: 10px;
    left: auto;
  }
}

.alerta-ok {
  background-color: rgb(109, 211, 109);
  color: rgb(2, 103, 2);
}

.alerta-error {
  background-color: rgb(230, 78, 78);
  color: var(--blanco);
}

.icono {
  background-color: #fff;
  border-radius: 4px;
  border: unset;
  margin-left: 12px;
}

.link {
  color: #37f;
  padding: 12px;
  margin-left: 12px;
  background-color: #fff;
  border-radius: 4px;
  border: unset;
  font-weight: bold;
  text-decoration: none;
}